Bug 851092 - Add support for --enable-debug configure option
Add support for --enable-debug configure option
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
mainline
All All
unspecified Severity medium
: ---
: ---
Assigned To: Kaleb KEITHLEY
: Reopened
Depends On:
Blocks: 962431
  Show dependency treegraph
 
Reported: 2012-08-23 04:45 EDT by Deepak C Shetty
Modified: 2016-04-18 06:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0qa5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-17 11:32:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Deepak C Shetty 2012-08-23 04:45:51 EDT
Description of problem:

    Currently default build adds -g -O2 to CFLAGS unconditionally
    and there is no way to control them from configure.
    
    For debugging it would be good to have a configure option to enable/disable debug.

Version-Release number of selected component (if applicable):

mainline

How reproducible:

always

Steps to Reproduce:
1. configure doesn't have enable-debug option
2.
3.
  
Actual results:

Cannot build a debug only version of gluster from git src.

Expected results:

Need ability to build debug only version of gluster from git src

Additional info:
Comment 1 Deepak C Shetty 2012-08-23 05:15:25 EDT
A fix has been posted on gerrit @
http://review.gluster.org/3822
Comment 2 Vijay Bellur 2012-08-23 06:08:20 EDT
CHANGE: http://review.gluster.org/3822 (Add support for --enable-debug configure option) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 3 Anand Avati 2013-05-13 14:12:55 EDT
REVIEW: http://review.gluster.org/4997 (configure.ac: enable-debug change breaks _hardened_build) posted (#1) for review on release-3.4 by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 4 Anand Avati 2013-05-13 15:20:10 EDT
REVIEW: http://review.gluster.org/4998 (configure.ac: enable-debug change breaks _hardened_build) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 5 Anand Avati 2013-05-14 08:35:01 EDT
REVIEW: http://review.gluster.org/4997 (configure.ac: enable-debug change breaks _hardened_build) posted (#2) for review on release-3.4 by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 6 Anand Avati 2013-05-14 09:35:14 EDT
REVIEW: http://review.gluster.org/4997 (configure.ac: enable-debug change breaks _hardened_build) posted (#3) for review on release-3.4 by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 7 Anand Avati 2013-05-14 09:52:51 EDT
REVIEW: http://review.gluster.org/4997 (configure.ac: enable-debug change breaks _hardened_build) posted (#4) for review on release-3.4 by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 8 Anand Avati 2013-05-14 11:15:01 EDT
REVIEW: http://review.gluster.org/4997 (configure.ac: enable-debug change breaks _hardened_build) posted (#5) for review on release-3.4 by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 9 Anand Avati 2013-05-14 16:10:15 EDT
REVIEW: http://review.gluster.org/5007 (configure.ac: build glupy with python2.7) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 10 Anand Avati 2013-05-17 08:49:15 EDT
REVIEW: http://review.gluster.org/4997 (configure.ac: enable-debug change breaks _hardened_build) posted (#6) for review on release-3.4 by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 11 Anand Avati 2013-05-17 08:49:57 EDT
REVIEW: http://review.gluster.org/4998 (configure.ac: enable-debug change breaks _hardened_build) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 12 Anand Avati 2013-05-19 09:06:24 EDT
COMMIT: http://review.gluster.org/4997 committed in release-3.4 by Vijay Bellur (vbellur@redhat.com) 
------
commit 4a631d7876e6de555683939dd87baedb11bcfd6a
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon May 13 14:07:01 2013 -0400

    configure.ac: enable-debug change breaks _hardened_build
    
    See RHBZ 955283, and http://fedoraproject.org/wiki/Packaging:Guidelines#PIE
    
    The previous change for BZ 851092 in
    commit 058a736f9e36238c284ca80e7ed5f62434655019
    breaks the ability to enable _hardened_build in release-3.4 and master
    
    wrt test/bugs/bug-884455.t; passes on master/HEAD, passes on my dev box,
    passed once with prove -rfvc in run-tests.sh.
    
    BUG: 851092
    Change-Id: Ic2afc53bcdf11ede4a543b87aa7c7a3a41ed6f1d
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/4997
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 13 Anand Avati 2013-05-19 09:09:09 EDT
COMMIT: http://review.gluster.org/4998 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 2b65c50554ec434a6ec9aecaea5d9885cf2aadf8
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Mon May 13 15:03:22 2013 -0400

    configure.ac: enable-debug change breaks _hardened_build
    
    See RHBZ 955283, and http://fedoraproject.org/wiki/Packaging:Guidelines#PIE
    
    The previous change for BZ 851092 in
    commit 058a736f9e36238c284ca80e7ed5f62434655019
    breaks the ability to enable _hardened_build in release-3.4 and master
    
    BUG: 851092
    Change-Id: Ib298a492fee22dd82042af704fe8cdd34c3e100e
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/4998
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Note You need to log in before you can comment on or make changes to this bug.